Bug 18931 - Fails to update system
Fails to update system
Status: RESOLVED WONTFIX
Product: PackageKit
Classification: Unclassified
Component: General
unspecified
x86 (IA32) Linux (All)
: medium normal
Assigned To: Richard Hughes
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 12:17 UTC by Pär Johansson
Modified: 2008-12-09 03:07 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pär Johansson 2008-12-07 12:17:45 UTC
Hello everyone!

I'm using Fedora 9. Vital facts:
kernel-2.6.27.5-41.fc9.i686
glibc-2.8-8.i686
dbus-1.2.6-1.fc9.i386
selinux-policy-3.3.1-111.fc9.noarch

After logging in, I get a popup saying:

A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "GetUpdates" error name "(unset)" destination "org.freedesktop.PackageKit")

I've been using Fedora 9 since July, but this is the first time that I've seen this message. The SELinux configuration is unmodified since installation.

Best Regards,

Pär Johansson
Comment 1 Colin Walters 2008-12-07 13:10:49 UTC
See:

http://bugs.freedesktop.org/show_bug.cgi?id=18229

Comment 2 Colin Walters 2008-12-07 13:13:56 UTC
Looks like this one is fixed by this commit:

commit 8ab36bd08b3bad49f843ccd363eb7d09475f4666
Author: Richard Hughes <richard@hughsie.com>
Date:   Sun Dec 7 16:57:45 2008 +0000

    bugfix: add the org.freedesktop.PackageKit.Transaction interface now that the default send interface is now deny

diff --git a/data/org.freedesktop.PackageKit.conf.in b/data/org.freedesktop.PackageKit.conf.in
index 8d93fcb..3bc91b8 100644
--- a/data/org.freedesktop.PackageKit.conf.in
+++ b/data/org.freedesktop.PackageKit.conf.in
@@ -14,6 +14,7 @@
  <!-- Allow anyone to call into the service - we'll reject callers using PolicyKit -->
   <policy context="default">
     <allow send_interface="org.freedesktop.PackageKit"/>
+    <allow send_interface="org.freedesktop.PackageKit.Transaction"/>
   </policy>
 
 </busconfig>
Comment 3 Pär Johansson 2008-12-07 14:28:10 UTC
Hello Richard Hughes!

Thank You for Your quick reply. I edited the file
/etc/dbus-1/system.d/org.freedesktop.PolicyKit.conf
as described and - voilà - the PackageKit works again.

Best regards,

Pär Johansson
Comment 4 Jon Foster 2008-12-08 11:24:35 UTC
Thank you!  That line added by the patch worked for me and I posted my problem/solution at Fedora Forums: http://forums.fedoraforum.org/showpost.php?p=1126554&postcount=98
Comment 5 Leonard Evens 2008-12-08 13:41:39 UTC
I tried the recommended fix by adding the suggested line to

org.freedesktop.PackageKit.conf

Now if I choose System>Adminstration>Updates>Refresh

it still doesn't work, but I get a slightly different error message

failed to get a TID: Method "SetLocale" with signature "s" on interface "org.freedesktop.PackageKit.Transaction" doesn't exist
 (0)

Similarly if I try to  use Add/Remove Programs.

It may be that the automatic popup reminder works.

Someone should really try to find a comprehensive fix.
Comment 6 Gandrara Ted 2008-12-08 14:20:54 UTC
Might I also suggest that updates to PackageKit and related features be tested before being pushed out to the world?

When you break the ability for users to update, non-technical users are up the creek without a paddle.
Comment 7 Jon Foster 2008-12-08 14:28:03 UTC
Thank you Gandrara Ted, well said.  Darn it, now where did I leave my paddle? ;)
Comment 8 BFD 2008-12-09 03:07:15 UTC
chill guys!!!

This fix truelly works

make sure Your org.freedesktop.PackageKit.conf
 looks like:

<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

  <!-- This configuration file specifies the required security policies
       for the PackageKit to work. -->

  <!-- Only user root can own the PackageKit service -->
  <policy user="root">
    <allow own="org.freedesktop.PackageKit"/>
  </policy>

 <!-- Allow anyone to call into the service - we'll reject callers using PolicyKit -->
  <policy context="default">
    <allow send_interface="org.freedesktop.PackageKit"/>
    <allow send_interface="org.freedesktop.PackageKit.Transaction"/>

  </policy>

</busconfig>

kde-menu > Administration > Update System Software Update Viewer
and everything works like a charm